package com.leanwo.activiti.dto.base;
/**
 * 节点审批通过的请求参数.
 *
 * @author YangZhiJie
 */
public class NodeApprovedRequest {
	/**  账套Id. */
	private Long accountId;
	
	/**  类名称. */
	private String className;
	
	/**  数据记录id. */
	private Long recordId;
	
    /**  节点 id. */
    private String nodeId;

    /**  节点名称 . */
    private String nodeName;
    
    /**  审批人Id. */
    private Long userId;

    
	/**
	 * Gets the 账套Id.
	 *
	 * @return the 账套Id
	 */
	public Long getAccountId() {
		return accountId;
	}

	/**
	 * Sets the 账套Id.
	 *
	 * @param accountId the new 账套Id
	 */
	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}

	/**
	 * Gets the 类名称.
	 *
	 * @return the 类名称
	 */
	public String getClassName() {
		return className;
	}

	/**
	 * Sets the 类名称.
	 *
	 * @param className the new 类名称
	 */
	public void setClassName(String className) {
		this.className = className;
	}

	/**
	 * Gets the 数据记录id.
	 *
	 * @return the 数据记录id
	 */
	public Long getRecordId() {
		return recordId;
	}

	/**
	 * Sets the 数据记录id.
	 *
	 * @param recordId the new 数据记录id
	 */
	public void setRecordId(Long recordId) {
		this.recordId = recordId;
	}

	/**
	 * Gets the 节点 id.
	 *
	 * @return the 节点 id
	 */
	public String getNodeId() {
		return nodeId;
	}

	/**
	 * Sets the 节点 id.
	 *
	 * @param nodeId the new 节点 id
	 */
	public void setNodeId(String nodeId) {
		this.nodeId = nodeId;
	}

	/**
	 * Gets the 节点名称 .
	 *
	 * @return the 节点名称 
	 */
	public String getNodeName() {
		return nodeName;
	}

	/**
	 * Sets the 节点名称 .
	 *
	 * @param nodeName the new 节点名称 
	 */
	public void setNodeName(String nodeName) {
		this.nodeName = nodeName;
	}

	/**
	 * Gets the 审批人Id.
	 *
	 * @return the 审批人Id
	 */
	public Long getUserId() {
		return userId;
	}

	/**
	 * Sets the 审批人Id.
	 *
	 * @param userId the new 审批人Id
	 */
	public void setUserId(Long userId) {
		this.userId = userId;
	}
}
